%bcond_without check

%global goipath         github.com/atotto/clipboard
Version:                0.1.4

%gometa

%global common_description %{expand:
Provide copying and pasting to the Clipboard for Go.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Clipboard for golang

License:        BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  xclip

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
export DISPLAY=:99
xdpyinfo -display $DISPLAY > /dev/null || Xvfb $DISPLAY -screen 0 1024x768x16 &
%gocheck
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/gocopy
%{_bindir}/gopaste

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
